Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PersonalProfileService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PersonalProfileService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PersonalProfileService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -0,0 +1,10 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.PersonalProfile;
+import finki.paw5.web.controllers.PostController;
+
+import java.util.Optional;
+
+public interface PersonalProfileService {
+    Optional<PersonalProfile> findById(Integer petId);
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -0,0 +1,16 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Pet;
+import finki.paw5.web.controllers.PostController;
+
+import java.util.List;
+import java.util.Optional;
+
+public interface PetService {
+
+    void save (Pet pet);
+
+    List<Pet> findAll();
+
+    Optional<Pet> findById(Integer petId);
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -0,0 +1,15 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Post;
+
+import java.util.List;
+import java.util.Optional;
+
+public interface PostService {
+
+    void save (Post post);
+
+    List<Post> findAll();
+
+    Optional<Post> findById(Integer id);
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision da44aefab446c6f41792dadef297c98e1477752b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -4,6 +4,8 @@
 
 import java.util.List;
+import java.util.Optional;
 
 public interface ShelterService {
+    Optional<Shelter> findById(Integer id);
     List<Shelter> listShelters();
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PersonalProfileServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PersonalProfileServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PersonalProfileServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -0,0 +1,23 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.PersonalProfile;
+import finki.paw5.repository.PersonalProfileRepository;
+import finki.paw5.service.PersonalProfileService;
+import org.springframework.stereotype.Service;
+
+import java.util.Optional;
+
+@Service
+public class PersonalProfileServiceImplementation implements PersonalProfileService {
+
+    private final PersonalProfileRepository personalProfileRepository;
+
+    public PersonalProfileServiceImplementation(PersonalProfileRepository personalProfileRepository) {
+        this.personalProfileRepository = personalProfileRepository;
+    }
+
+    @Override
+    public Optional<PersonalProfile> findById(Integer petId) {
+        return this.personalProfileRepository.findById(petId);
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -0,0 +1,34 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Pet;
+import finki.paw5.repository.PetRepository;
+import finki.paw5.service.PetService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+import java.util.Optional;
+
+@Service
+public class PetServiceImplementation implements PetService {
+
+    private final PetRepository petRepository;
+
+    public PetServiceImplementation(PetRepository petRepository) {
+        this.petRepository = petRepository;
+    }
+
+    @Override
+    public void save(Pet pet) {
+        this.petRepository.save(pet);
+    }
+
+    @Override
+    public List<Pet> findAll() {
+        return this.petRepository.findAll();
+    }
+
+    @Override
+    public Optional<Pet> findById(Integer petId) {
+        return this.petRepository.findById(petId);
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -0,0 +1,34 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Post;
+import finki.paw5.repository.PostRepository;
+import finki.paw5.service.PostService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+import java.util.Optional;
+
+@Service
+public class PostServiceImplementation implements PostService {
+
+    private final PostRepository postRepository;
+
+    public PostServiceImplementation(PostRepository PostRepository){
+        this.postRepository = PostRepository;
+    }
+
+    @Override
+    public void save(Post post) {
+        this.postRepository.save(post);
+    }
+
+    @Override
+    public List<Post> findAll() {
+        return this.postRepository.findAll();
+    }
+
+    @Override
+    public Optional<Post> findById(Integer id) {
+        return this.postRepository.findById(id);
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImp.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImp.java	(revision da44aefab446c6f41792dadef297c98e1477752b)
+++ 	(revision )
@@ -1,23 +1,0 @@
-package finki.paw5.service.implementation;
-
-import finki.paw5.model.entities.Shelter;
-import finki.paw5.repository.ShelterRepository;
-import finki.paw5.service.ShelterService;
-import org.springframework.stereotype.Service;
-
-import java.util.List;
-
-@Service
-public class ShelterServiceImp implements ShelterService {
-    private final ShelterRepository shelterRepository;
-
-    public ShelterServiceImp(ShelterRepository shelterRepository) {
-        this.shelterRepository = shelterRepository;
-    }
-
-
-    @Override
-    public List<Shelter> listShelters() {
-        return shelterRepository.findAll();
-    }
-}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
@@ -0,0 +1,31 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Shelter;
+import finki.paw5.repository.ShelterRepository;
+import finki.paw5.service.ShelterService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+import java.util.Optional;
+
+@Service
+public class ShelterServiceImplementation implements ShelterService {
+
+    private final ShelterRepository shelterRepository;
+
+    public ShelterServiceImplementation(ShelterRepository shelterRepository) {
+        this.shelterRepository = shelterRepository;
+    }
+
+    @Override
+    public Optional<Shelter> findById(Integer id) {
+        return this.shelterRepository.findById(id);
+    }
+
+    @Override
+    public List<Shelter> listShelters() {
+        return shelterRepository.findAll();
+    }
+
+
+}
